# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

#from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

api_menu_item = items.MenuItem(
    # GENERAL
    _('Api'), 
    reverse('admin:app_list', kwargs={'app_label': 'api'}),
    children=[
        items.MenuItem(_('Api'), '',
            children=[
                items.MenuItem(_('Add Api'), reverse('admin:api_api_add',)), 
                items.MenuItem(_('Api List'), reverse('admin:api_api_changelist',) ), 
            ]
        ),
    ]
)


register_menu(api_menu_item, 'acomea.api')
